oasis.names.tc.saml._2_0.assertion

## Class ObjectFactory

- java.lang.Object
- - oasis.names.tc.saml._2_0.assertion.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the oasis.names.tc.saml._2_0.assertion package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: oasis.names.tc.saml._2_0.assertion

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Action` | `createAction()` Create an instance of `Action`
    `Advice` | `createAdvice()` Create an instance of `Advice`
    `Assertion` | `createAssertion()` Create an instance of `Assertion`
    `JAXBElement<String>` | `createAssertionIDRef(String value)` Create an instance of `JAXBElement``<``String``>`
    `JAXBElement<String>` | `createAssertionURIRef(String value)` Create an instance of `JAXBElement``<``String``>`
    `Attribute` | `createAttribute()` Create an instance of `Attribute`
    `AttributeStatement` | `createAttributeStatement()` Create an instance of `AttributeStatement`
    `JAXBElement<Object>` | `createAttributeValue(Object value)` Create an instance of `JAXBElement``<``Object``>`
    `JAXBElement<String>` | `createAudience(String value)` Create an instance of `JAXBElement``<``String``>`
    `AudienceRestriction` | `createAudienceRestriction()` Create an instance of `AudienceRestriction`
    `JAXBElement<String>` | `createAuthenticatingAuthority(String value)` Create an instance of `JAXBElement``<``String``>`
    `AuthnContext` | `createAuthnContext()` Create an instance of `AuthnContext`
    `JAXBElement<String>` | `createAuthnContextClassRef(String value)` Create an instance of `JAXBElement``<``String``>`
    `JAXBElement<Object>` | `createAuthnContextDecl(Object value)` Create an instance of `JAXBElement``<``Object``>`
    `JAXBElement<String>` | `createAuthnContextDeclRef(String value)` Create an instance of `JAXBElement``<``String``>`
    `AuthnStatement` | `createAuthnStatement()` Create an instance of `AuthnStatement`
    `AuthzDecisionStatement` | `createAuthzDecisionStatement()` Create an instance of `AuthzDecisionStatement`
    `JAXBElement<ConditionAbstractType>` | `createCondition(ConditionAbstractType value)` Create an instance of `JAXBElement``<``ConditionAbstractType``>`
    `Conditions` | `createConditions()` Create an instance of `Conditions`
    `JAXBElement<EncryptedElementType>` | `createEncryptedAssertion(EncryptedElementType value)` Create an instance of `JAXBElement``<``EncryptedElementType``>`
    `JAXBElement<EncryptedElementType>` | `createEncryptedAttribute(EncryptedElementType value)` Create an instance of `JAXBElement``<``EncryptedElementType``>`
    `EncryptedElementType` | `createEncryptedElementType()` Create an instance of `EncryptedElementType`
    `JAXBElement<EncryptedElementType>` | `createEncryptedID(EncryptedElementType value)` Create an instance of `JAXBElement``<``EncryptedElementType``>`
    `Evidence` | `createEvidence()` Create an instance of `Evidence`
    `JAXBElement<NameIDType>` | `createIssuer(NameIDType value)` Create an instance of `JAXBElement``<``NameIDType``>`
    `KeyInfoConfirmationDataType` | `createKeyInfoConfirmationDataType()` Create an instance of `KeyInfoConfirmationDataType`
    `JAXBElement<NameIDType>` | `createNameID(NameIDType value)` Create an instance of `JAXBElement``<``NameIDType``>`
    `NameIDType` | `createNameIDType()` Create an instance of `NameIDType`
    `OneTimeUse` | `createOneTimeUse()` Create an instance of `OneTimeUse`
    `ProxyRestriction` | `createProxyRestriction()` Create an instance of `ProxyRestriction`
    `JAXBElement<StatementAbstractType>` | `createStatement(StatementAbstractType value)` Create an instance of `JAXBElement``<``StatementAbstractType``>`
    `Subject` | `createSubject()` Create an instance of `Subject`
    `SubjectConfirmation` | `createSubjectConfirmation()` Create an instance of `SubjectConfirmation`
    `JAXBElement<SubjectConfirmationDataType>` | `createSubjectConfirmationData(SubjectConfirmationDataType value)` Create an instance of `JAXBElement``<``SubjectConfirmationDataType``>`
    `SubjectConfirmationDataType` | `createSubjectConfirmationDataType()` Create an instance of `SubjectConfirmationDataType`
    `SubjectLocality` | `createSubjectLocality()` Create an instance of `SubjectLocality`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: oasis.names.tc.saml._2_0.assertion

  - ### Method Detail

    - #### createNameIDType

          public NameIDType createNameIDType()

      Create an instance of `NameIDType`

    - #### createEncryptedElementType

          public EncryptedElementType createEncryptedElementType()

      Create an instance of `EncryptedElementType`

    - #### createAssertion

          public Assertion createAssertion()

      Create an instance of `Assertion`

    - #### createSubject

          public Subject createSubject()

      Create an instance of `Subject`

    - #### createSubjectConfirmation

          public SubjectConfirmation createSubjectConfirmation()

      Create an instance of `SubjectConfirmation`

    - #### createSubjectConfirmationDataType

          public SubjectConfirmationDataType createSubjectConfirmationDataType()

      Create an instance of `SubjectConfirmationDataType`

    - #### createConditions

          public Conditions createConditions()

      Create an instance of `Conditions`

    - #### createAudienceRestriction

          public AudienceRestriction createAudienceRestriction()

      Create an instance of `AudienceRestriction`

    - #### createOneTimeUse

          public OneTimeUse createOneTimeUse()

      Create an instance of `OneTimeUse`

    - #### createProxyRestriction

          public ProxyRestriction createProxyRestriction()

      Create an instance of `ProxyRestriction`

    - #### createAdvice

          public Advice createAdvice()

      Create an instance of `Advice`

    - #### createAuthnStatement

          public AuthnStatement createAuthnStatement()

      Create an instance of `AuthnStatement`

    - #### createSubjectLocality

          public SubjectLocality createSubjectLocality()

      Create an instance of `SubjectLocality`

    - #### createAuthnContext

          public AuthnContext createAuthnContext()

      Create an instance of `AuthnContext`

    - #### createAuthzDecisionStatement

          public AuthzDecisionStatement createAuthzDecisionStatement()

      Create an instance of `AuthzDecisionStatement`

    - #### createAction

          public Action createAction()

      Create an instance of `Action`

    - #### createEvidence

          public Evidence createEvidence()

      Create an instance of `Evidence`

    - #### createAttributeStatement

          public AttributeStatement createAttributeStatement()

      Create an instance of `AttributeStatement`

    - #### createAttribute

          public Attribute createAttribute()

      Create an instance of `Attribute`

    - #### createKeyInfoConfirmationDataType

          public KeyInfoConfirmationDataType createKeyInfoConfirmationDataType()

      Create an instance of `KeyInfoConfirmationDataType`

    - #### createNameID

          public JAXBElement<NameIDType> createNameID(NameIDType value)

      Create an instance of `JAXBElement``<``NameIDType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``NameIDType``>`

    - #### createEncryptedID

          public JAXBElement<EncryptedElementType> createEncryptedID(EncryptedElementType value)

      Create an instance of `JAXBElement``<``EncryptedElementType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``EncryptedElementType``>`

    - #### createIssuer

          public JAXBElement<NameIDType> createIssuer(NameIDType value)

      Create an instance of `JAXBElement``<``NameIDType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``NameIDType``>`

    - #### createAssertionIDRef

          public JAXBElement<String> createAssertionIDRef(String value)

      Create an instance of `JAXBElement``<``String``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``String``>`

    - #### createAssertionURIRef

          public JAXBElement<String> createAssertionURIRef(String value)

      Create an instance of `JAXBElement``<``String``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``String``>`

    - #### createSubjectConfirmationData

          public JAXBElement<SubjectConfirmationDataType> createSubjectConfirmationData(SubjectConfirmationDataType value)

      Create an instance of `JAXBElement``<``SubjectConfirmationDataType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``SubjectConfirmationDataType``>`

    - #### createCondition

          public JAXBElement<ConditionAbstractType> createCondition(ConditionAbstractType value)

      Create an instance of `JAXBElement``<``ConditionAbstractType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``ConditionAbstractType``>`

    - #### createAudience

          public JAXBElement<String> createAudience(String value)

      Create an instance of `JAXBElement``<``String``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``String``>`

    - #### createEncryptedAssertion

          public JAXBElement<EncryptedElementType> createEncryptedAssertion(EncryptedElementType value)

      Create an instance of `JAXBElement``<``EncryptedElementType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``EncryptedElementType``>`

    - #### createStatement

          public JAXBElement<StatementAbstractType> createStatement(StatementAbstractType value)

      Create an instance of `JAXBElement``<``StatementAbstractType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``StatementAbstractType``>`

    - #### createAuthnContextClassRef

          public JAXBElement<String> createAuthnContextClassRef(String value)

      Create an instance of `JAXBElement``<``String``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``String``>`

    - #### createAuthnContextDeclRef

          public JAXBElement<String> createAuthnContextDeclRef(String value)

      Create an instance of `JAXBElement``<``String``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``String``>`

    - #### createAuthnContextDecl

          public JAXBElement<Object> createAuthnContextDecl(Object value)

      Create an instance of `JAXBElement``<``Object``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``Object``>`

    - #### createAuthenticatingAuthority

          public JAXBElement<String> createAuthenticatingAuthority(String value)

      Create an instance of `JAXBElement``<``String``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``String``>`

    - #### createAttributeValue

          public JAXBElement<Object> createAttributeValue(Object value)

      Create an instance of `JAXBElement``<``Object``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``Object``>`

    - #### createEncryptedAttribute

          public JAXBElement<EncryptedElementType> createEncryptedAttribute(EncryptedElementType value)

      Create an instance of `JAXBElement``<``EncryptedElementType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``EncryptedElementType``>`

Connector Packaging OTMOBILITYIMPROVEMENT 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.